%global srcname p1_zlib
# The Fedora Erlang convention is to avoid separating the debug symbols:
# https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.0.0
Release:    2%{?dist}
Summary:    Native zlib driver for Erlang

License:    GPLv2
URL:        https://github.com/processone/ezlib/
Source0:    https://github.com/processone/ezlib/archive/%{version}.tar.gz
Patch0:     ldflags.patch

BuildRequires: erlang-eunit
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: zlib-devel

Requires: erlang-erts


%description
A native zlib driver for Erlang, used by ejabberd.


%prep
%autosetup -n ezlib-%{version}


%build
%configure --enable-nif
%rebar_compile


%check
%__rebar eunit


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -Dpm644 -t $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin ebin/* 
install -pm755 priv/lib/ezlib_drv.so \
    $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%files
%license COPYING
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Sun Mar 06 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Name the shared object ezlib_drv.so instead of lib (#1315098).

* Wed Feb 17 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Update to 1.0.0.
- Re-enable tests on i686.

* Wed Dec 30 2015 Randy Barlow <rbarlow@redhat.com> - 0-1.20150223gite3d4222b
- Initial release.
